       SUBROUTINE I4_2(I4,I2)
*
       PARAMETER (MAX=32768)
       CHARACTER C20*20
       INTEGER I4
       INTEGER*2 I2
*
       IF (I4.GT.MAX) STOP 'Integer te groot'
       WRITE(C20(1:20),'(I20)')I4
       READ(C20(1:20),'(I20)')I2
*
       RETURN
*
       END